Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageInteractionInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageInteractionInfo

Enclosing class:
  TdApi

public static final class TdApi.MessageInteractionInfo extends TdApi.Object
Contains information about interactions with a message.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`forwardCount`
Number of times the message was forwarded.
`TdApi.MessageReactions`
`reactions`
The list of reactions or tags added to the message; may be null.
`TdApi.MessageReplyInfo`
`replyInfo`
Information about direct or indirect replies to the message; may be null.
`int`
`viewCount`
Number of times the message was viewed.

## Constructor Summary

Constructors
Constructor
Description
`MessageInteractionInfo()`
Contains information about interactions with a message.
`MessageInteractionInfo(int viewCount, int forwardCount, TdApi.MessageReplyInfo replyInfo, TdApi.MessageReactions reactions)`
Contains information about interactions with a message.
`MessageInteractionInfo(DataInput input)`
Contains information about interactions with a message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### viewCount

public int viewCount
Number of times the message was viewed.

### forwardCount

public int forwardCount
Number of times the message was forwarded.

### replyInfo

public TdApi.MessageReplyInfo replyInfo
Information about direct or indirect replies to the message; may be null. Currently, available only in channels with a discussion supergroup and discussion supergroups for messages, which are not replies itself.

### reactions

public TdApi.MessageReactions reactions
The list of reactions or tags added to the message; may be null.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### MessageInteractionInfo

public MessageInteractionInfo()
Contains information about interactions with a message.

### MessageInteractionInfo

public MessageInteractionInfo(int viewCount, int forwardCount, TdApi.MessageReplyInfo replyInfo, TdApi.MessageReactions reactions)
Contains information about interactions with a message.

Parameters:
  `viewCount` - Number of times the message was viewed.
  `forwardCount` - Number of times the message was forwarded.
  `replyInfo` - Information about direct or indirect replies to the message; may be null. Currently, available only in channels with a discussion supergroup and discussion supergroups for messages, which are not replies itself.
  `reactions` - The list of reactions or tags added to the message; may be null.

### MessageInteractionInfo

public MessageInteractionInfo(DataInput input) throws IOException
Contains information about interactions with a message.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`